Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty Class Reference

`#include <IScalarProperty.h>`

Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty:
[legend]

## Public Types

typedef IScalarProperty | this_type

## Public Member Functions

| IScalarProperty ()
| IScalarProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~IScalarProperty ()
size_t | getNumSamples () const
bool | isConstant () const
AbcA::TimeSamplingPtr | getTimeSampling () const
void | get (void *oSample, const ISampleSelector &iSS=ISampleSelector()) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::ScalarPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members

Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
| IBasePropertyT ()
| IBasePropertyT (AbcA::ScalarPropertyReaderPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
AbcA::ScalarPropertyReaderPtr | m_property

## Detailed Description

Definition at line 52 of file IScalarProperty.h.

## Member Typedef Documentation

## this_type

typedef IScalarProperty Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

Definition at line 58 of file IScalarProperty.h.

## Constructor & Destructor Documentation

## IScalarProperty() [1/4]

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::IScalarProperty | ( |  | ) |

inline

The default constructor creates an empty IScalarProperty function set. ...

Definition at line 66 of file IScalarProperty.h.

## IScalarProperty() [2/4]

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::IScalarProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = `Argument()`
| ) |  |

This constructor creates a new scalar property reader. The first argument is the parent ICompundProperty, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, and that's it.

## IScalarProperty() [3/4]

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::IScalarProperty | ( | AbcA::ScalarPropertyReaderPtr | iPtr,
|  | const Argument & | iArg0 = `Argument()`
| ) |  |

inline

This attaches an IScalarProperty wrapper around an existing ScalarPropertyReaderPtr, with an optional error handling policy.

Parameters

  iPtr | The pointer ...
  iArg0 | Optional error handling policy ...

Definition at line 79 of file IScalarProperty.h.

## IScalarProperty() [4/4]

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::IScalarProperty | ( | AbcA::ScalarPropertyReaderPtr | iPtr,
|  | WrapExistingFlag | iWrapFlag,
|  | const Argument & | iArg0 = `Argument()`
| ) |  |

inline

Definition at line 92 of file IScalarProperty.h.

## ~IScalarProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::~IScalarProperty | ( |  | ) |

Default copy constructor used Default assignment operator used. Destructor ...

## Member Function Documentation

## get()

void Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::get | ( | void * | oSample,
|  | const ISampleSelector & | iSS = `ISampleSelector()`
| ) |  | const

Get a sample into the address of a datum. ...

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::get().

Here is the caller graph for this function:

## getNumSamples()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::getNumSamples | ( |  | ) | const

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::getNumSamples().

Here is the caller graph for this function:

## getParent()

ICompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::getParent | ( |  | ) | const

Return the parent compound property, handily wrapped in a ICompoundProperty wrapper.

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::getTimeSampling | ( |  | ) | const

Time information. This will be valid regardless of TimeSamplingType or number of samples.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::getTimeSampling().

Here is the caller graph for this function:

## isConstant()

bool Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty::isConstant | ( |  | ) | const

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase::isConstant().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/IScalarProperty.h